File: changelog

package info (click to toggle)
liboping 1.10.0-2.1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 640 kB
  • sloc: ansic: 3,279; perl: 210; makefile: 93; sh: 3
file content (306 lines) | stat: -rw-r--r-- 10,701 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
liboping (1.10.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply upstream patch to fix FTBFS with GCC 8. (Closes: #897790)
  * Create debian/clean with src/mans/*.[38] to be able to build twice in
    a row.

 -- Axel Beckert <abe@debian.org>  Tue, 31 Jul 2018 22:15:09 +0200

liboping (1.10.0-2) unstable; urgency=medium

  * Bump policy
  * dh11
  * Merge upstream bug fixes and suid fix a88c51f3 (closes: #864184)
  * Secure some URLs
  * Obay arbitrary lintian dictates

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Mar 2018 13:57:02 +0000

liboping (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * dh10

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 May 2017 22:12:19 +0100

liboping (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 Jul 2016 15:26:03 +0200

liboping (1.8.0-2) unstable; urgency=medium

  * Accept audible ping patch (closes: #801068)
  * Regenerating package should fix gzip timestamp issue (closes: #749708)
  * Swizzle packaging repo pointer to active package maintenance repo
  * Remove build dependency on perl-modules per lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Oct 2015 13:59:13 +0100

liboping (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Dec 2014 22:26:38 +0000

liboping (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Remove quilt patches, functionality is upstream
  * Bump standards version, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Oct 2014 06:56:06 +0100

liboping (1.6.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use executable d/libnet-oping-perl.install file, expanding paths with
    $Config{vendorarch}.
    (Closes: #752710)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 18:44:16 +0200

liboping (1.6.2-6) unstable; urgency=medium

  * build dependency on pkg-config (closes: 749058)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 May 2014 17:02:04 +0100

liboping (1.6.2-5) unstable; urgency=medium

  * merge upstream mods
  * enable "pkg-config oping"

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 22 May 2014 23:19:13 +0100

liboping (1.6.2-4) unstable; urgency=low

  * always rebuild man pages (closes: 733341)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Jan 2014 13:44:56 +0000

liboping (1.6.2-3) unstable; urgency=medium

  * prettyping patch requires swizzling build dependency from libncurses
    to libncursesw (oops!)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Dec 2013 15:44:51 +0100

liboping (1.6.2-2) unstable; urgency=low

  * remove phony target declarations from debian/rules (closes: #720008)
  * dh 9
  * bump standards version
  * remove unused/uninformative debian/ files: *.dirs, liboping.docs, README
  * stop installing docs COPYING, INSTALL, NEWS, replicated upstream changelog
  * print rpath before deleting it (when none, can remove chrpath removal code)
  * enable multiarch support
  * add quilt patch with prettyping support (closes: #731207)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Dec 2013 16:58:42 +0100

liboping (1.6.2-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Feb 2012 23:00:14 +0000

liboping (1.6.1+2.g207d51d-3) unstable; urgency=low

  * Update/modernize debian packaging info:
    - Bump to dh 8.
    - Use dh and override_* to dramatically shorten debian/rules.
    - Use dh --parallel for multicore goodness.
    - Use dh --with autoreconf to build derived files like ./configure.
    - Use dh_xxx, e.g. dh_lintian, to reduce debian/rules boilerplate.
    - Generalise debian/*.install files
    - Single debian patch source option: when operative see git patches.
    - Trim trailing whitespace.
    - Convert officially depricated constructs to blessed replacements.
  * git ignore debian build debris.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Oct 2011 14:33:33 +0100

liboping (1.6.1+2.g207d51d-2) unstable; urgency=low

  [ Barak A. Pearlmutter ]
  * debian/control:
    - Updated standards-version to 3.9.2; no changes.
  * Simplified debian/liboping-dev.install, debian/oping.install.

  [ Sebastian Harl ]
  * debian/source/format:
    - Switched to '3.0 (quilt)' format.
  * debian/control:
    - Added Barak to uploaders.
  * debian/patches:
    - Added recvtos -- patch for #618729 (missing IP_RECVTOS on FreeBSD) as
      separate patch.
    - Added z-option -- upstream patch adding option -Z to enable non-zero
      exit codes in case a certain amount of replies were lost.
  * debian/rules:
    - Split target 'build' into 'build-arch' and 'build-indep'.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 13 Oct 2011 16:32:46 +0200

liboping (1.6.1+2.g207d51d-1.1) unstable; urgency=low

  * Fix FTBS on kfreebsd due to IP_RECVTOS nonexistence (closes: #618729).
  * Kill inappropriate rpath in built perl library, which presumably appeared
    due to toolchain changes.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Sep 2011 09:39:54 +0100

liboping (1.6.1+2.g207d51d-1) unstable; urgency=low

  * New upstream release.
    - Based on release 1.6.1 plus upstream Git commits up to 207d51d, which
      fix two build issues.
  * debian/rules:
    - Do not install .la files in favor of the goal to remove those files (for
      details see <http://lists.debian.org/debian-devel/2009/08/
      msg00783.html>).
    - Use 'dh_prep' rather than 'dh_clean -k'.
  * debian/control:
    - Updated standards-version to 3.9.1.
    - Depend on debhelper (>=7) rather than (>=5) -- this is required for
      'dh_prep'.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 13 Mar 2011 22:27:08 +0100

liboping (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated standards-version to 3.8.4 -- no changes.
    - Build-depend on libncurses5-dev, required by the new "noping" ncurses
      front-end to liboping.
    - Let all packages depend on ${misc:Depends} as recommended by debhelper.
    - Improved oping's package description.
  * debian/oping.install:
    - Added /usr/bin/noping.
  * debian/oping.links:
    - Make noping.8 be a symlink to oping.8.
  * debian/rules, debian/oping.overrides:
    - Install /usr/bin/noping setuid root and document that in overrides.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 15 Jun 2010 00:08:46 +0200

liboping (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 26 Dec 2009 23:17:45 +0100

liboping (1.3.3-1) unstable; urgency=high

  * New upstream release:
    - Disable the "-f" command line option (read hosts from a file) if the
      real and affective user IDs don't match (e.g. when running setuid),
      unless "-" (STDIN) has been specified; thanks a lot to Steve Kemp for
      reporting this (Closes: #548684).
  * Set urgency to "high" because of the fix for #548684.
  * debian/control:
    - Updated Standards-Version to 3.8.3 - no changes.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 30 Sep 2009 01:12:26 +0200

liboping (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 02 Aug 2009 22:44:30 +0200

liboping (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Added liboping0.symbols:
    - Use 0.3.2 as MINVER for all symbols - all symbols exist since 0.1.0 but
      0.3.2 is the first version that introduced a SONAME version.
    - Use 'Build-Depends-Package: liboping-dev' to let a user specify the
      minimal version required for optional features.
  * debian/rules:
    - Do not ignore 'make clean' errors.
    - Use config.{guess,sub} provided by autotools-dev to fix a FTBFS on
      avr32, thanks to Bradley Smith for reporting this (Closes: #529460).
    - Use dh_install's --fail-missing instead of --list-missing.
    - Pass CFLAGS as arguments to configure instead of setting them in the
      environment - this is the recommended way.
    - Remove manpages to force a rebuild to avoid errors from man.
  * debian/control:
    - Use ${binary:Version} instead of ${Source-Version}.
    - Updated Standards-Version to 3.8.2.
    - Added Homepage and Vcs-{Git,Browser} fields.
    - Removed duplicate field "Section" for package "liboping0".
    - Added versioned build dependency on dpkg-dev (>= 1.14.13) to support the
      Homepage and Vcs-* fields and Build-Depends-Package.
    - Let the -dev package depend on a strict version of the lib package - the
      -dev package includes a symlink to the full soname, not only the major
      version.
    - Let the binary packages oping and libnet-oping-perl depend on liboping0
      (>= ${source:Upstream-Version}) explicitly since we do not want to build
      depend on liboping-dev to get the right version through 'Build-Depends-
      Package'.
    - Build depend on perl, required for pod2man.
  * debian/compat:
    - Updated to compat version 5.
  * Added new binary package "libnet-oping-perl":
    - Since Net::Oping uses its own version number, $srcver-$perlver-$debrev
      is used for the package version.
    - Added libnet-oping-perl.install.
    - Build-depend on perl-modules - debian/rules now requires the ExtUtils:MM
      module.
  * debian/liboping0.shlibs:
    - Updated version to >= 1.3.0.
  * Added debian/README.Debian:
    - Added a note explaining the use of the 'Build-Depends-Package' field.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 21 Jul 2009 13:29:31 +0200

liboping (0.3.5-1) unstable; urgency=low

  * New upstream release (Closes: #418277).
    - Added support for C++.
  * Added watch file.

 -- Sebastian Harl <sh@tokkee.org>  Tue, 10 Apr 2007 11:52:48 +0000

liboping (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Harl <sh@tokkee.org>  Fri,  1 Dec 2006 11:46:01 +0000

liboping (0.3.3-4) unstable; urgency=low

  * Renamed liboping0-dev to liboping-dev.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 23 Jul 2006 20:12:33 +0000

liboping (0.3.3-3) unstable; urgency=low

  * Added shlibs file.

 -- Sebastian Harl <sh@tokkee.org>  Sat, 22 Jul 2006 22:38:07 +0200

liboping (0.3.3-2) unstable; urgency=low

  * Fixed switched long package descriptions (Closes: #378473).

 -- Sebastian Harl <sh@tokkee.org>  Sun, 16 Jul 2006 16:05:31 +0000

liboping (0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 16 Jul 2006 14:31:02 +0200

liboping (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #377527).

 -- Sebastian Harl <sh@tokkee.org>  Mon, 10 Jul 2006 00:29:07 +0200